Filter
Your Cart

USB-C cables

USB-C cables

USB-C cables in this category include USB-C to USB-C, USB-C to USB-A and USB-C to USB-B leads for connecting and charging phones, tablets, laptops, monitors and external drives. Our range has over 2,500 models, including cables from Delock, StarTech.com, Hama and Renkforce.

How to choose a USB-C cable

Data transfer speed. Many USB-C cables run at USB 2.0 speed (480 Mbit/s), which is enough for charging, a keyboard or syncing a phone, but slow for an external SSD. Our range also includes USB 3.2 Gen 1 (5 Gbit/s), Gen 2 (10 Gbit/s), Gen 2x2 (20 Gbit/s) and USB4 cables. A faster cable is worth looking for when you copy large files.

Connectors and shape. Check which ports your devices have. USB-C to USB-C suits newer devices, USB-C to USB-A connects to an older computer or charger, and USB-C to USB-B is usually needed for printers and some other equipment. Some cables have an angled plug, which helps in tight spaces, and a few models have a Micro-USB B or Lightning end.

Charging power. Charging speed depends on the cable as well as the charger. For a laptop that needs 60 W or more, choose a cable with a clearly stated power rating. Higher-power cables usually contain an e-marker chip, while a cable made for data or low-power charging may charge a laptop very slowly.

Video output. Not every USB-C cable can send video to a monitor. You need a cable that supports DisplayPort Alt Mode, or a USB4 or Thunderbolt cable, and the device itself must also support video output over USB-C.

Length. The longer the cable, the more speed and maximum charging power can drop, especially with 10 Gbit/s and faster cables. About a metre is usually enough at a desk, so choose a longer cable only when you really need the reach.

Brands we carry

  • Delock: a German manufacturer known for a large selection of cables and adapters, including less common connector combinations.
  • StarTech.com: a Canadian manufacturer focused mainly on professional IT connectivity for offices and server rooms.
  • Hama: a German maker of consumer electronics accessories, whose cables are often bought for phones and tablets.
  • Renkforce: the own-brand line of the Conrad Electronic retailer, with many computer and office cables.

Also in our range: shiverpeaks, S-CONN Maximum Connectivity, InLine, Wentronic, Micro Connect, LogiLink, Vivolink and equip.

Frequently asked questions about USB-C cables

Are all USB-C cables the same?

No, USB-C only describes the shape of the connector. Data speed can range from 480 Mbit/s to 20 Gbit/s or more, and cables also differ in the charging power they support and whether they can carry video. Check these details in the product description before buying.

Which USB-C cable should I choose to charge a laptop?

Choose a cable rated for at least the power of your laptop charger, most often 60 W or 100 W. Look at the label on the charger and pick a cable with the same rating or higher. A cable that is too weak can limit charging.

Can I connect a monitor with a USB-C cable?

Yes, but only with a cable that supports video (DisplayPort Alt Mode) or with a USB4 or Thunderbolt cable. The laptop or phone must also have a USB-C port that supports video output. A basic USB 2.0 cable will not carry a picture.

How can I tell how fast a USB-C cable is?

Look at the stated USB version or maximum transfer rate. USB 2.0 is 480 Mbit/s, USB 3.2 Gen 1 is 5 Gbit/s, Gen 2 is 10 Gbit/s, Gen 2x2 is 20 Gbit/s, and USB4 Gen 3x2 reaches up to 40 Gbit/s. If no speed is given, it is safest to treat the cable as USB 2.0 level.

InLine USB 3.2 Gen.1x2 Cable, USB-C male angled / female, black, 1.5m
−5 % with code: BAI5U
Brand: INLINE Stock in vendor warehouse: In Stock
The InLine® USB 3.2 Gen.1x2 USB-C extension, with angled USB-C plugis the ideal solution for conveniently connecting devices even in hard-to-reach pla..
22,91 €
Ex Tax:18,93 €
Add to Cart
StarTech.com 1.6ft (50cm) USB-A to USB-C Fast Charging Cable, Rugged, Coiled, Charge & Sync, 3A, USB 2.0, TPE Jacket and Aramid Fiber - USB Charging Cord
−5 % with code: BAI5U
Brand: STARTECH Stock in vendor warehouse: In Stock
20in (50cm) USB A to C Charging Cable, Durable Coiled CableThis 20in (50cm) coiled USB A to USB C cable can withstand the daily demands of charging an..
12,90 €
Ex Tax:10,66 €
Add to Cart
StarTech.com 3.3ft (1m) USB-A to USB-C Fast Charging Cable, Rugged, Coiled, Charge & Sync, 3A, USB 2.0, TPE Jacket and Aramid Fiber - USB Charging Cord
−5 % with code: BAI5U
Brand: STARTECH Stock in vendor warehouse: In Stock
3ft (1m) USB A to C Charging Cable, Durable Coiled USB CableThis 3.3ft (1m) coiled USB A to USB C cable can withstand the daily demands of charging an..
14,90 €
Ex Tax:12,31 €
Add to Cart
StarTech.com 3ft (1m) USB-A to USB-C Fast Charging Cable, Rugged, Right-Angled, Charge & Sync, 3A, USB 2.0, TPE Jacket and Aramid Fiber - USB Charging Cord
−5 % with code: BAI5U
Brand: STARTECH Stock in vendor warehouse: In Stock
Connect and charge USB Type-C devices, including iPhone 15 and up, with this rugged USB-C to USB-A CableThis rugged 3ft (1m) USB-A to right angle USB-..
12,90 €
Ex Tax:10,66 €
Add to Cart
StarTech.com 6.6ft (2m) USB-A to USB-C Fast Charging Cable, Rugged, Right-Angled, Charge & Sync, 3A, USB 2.0, TPE Jacket and Aramid Fiber - USB Charging Cord
−5 % with code: BAI5U
Brand: STARTECH Stock in vendor warehouse: In Stock
Connect and charge USB Type-C devices, including iPhone 15 and up, with this rugged USB-C to USB-A CableThis rugged 6ft (2m) USB-A to right angle USB-..
13,90 €
Ex Tax:11,49 €
Add to Cart
StarTech.com 1ft (30cm) USB-A to USB-C Fast Charging Cable, Rugged, Right-Angled, Charge & Sync, 3A, USB 2.0, TPE Jacket and Aramid Fiber - USB Charging Cord
−5 % with code: BAI5U
Brand: STARTECH Stock in vendor warehouse: In Stock
Connect and charge USB Type-C devices, including iPhone 15 and up, with this rugged USB-C to USB-A CableThis rugged 1ft (30cm) USB-A to right angle US..
12,90 €
Ex Tax:10,66 €
Add to Cart
StarTech.com 6in (15cm) USB-A to USB-C Fast Charging Cable, Rugged, Right-Angled, Charge & Sync, 3A, USB 2.0, TPE Jacket and Aramid Fiber - USB Charging Cord
−5 % with code: BAI5U
Brand: STARTECH Stock in vendor warehouse: In Stock
Connect and charge USB Type-C devices, including iPhone 15 and up, with this rugged USB-C to USB-A CableThis rugged 6in (15cm) USB-A to right angle US..
11,89 €
Ex Tax:9,83 €
Add to Cart
StarTech.com 3ft (1m) USB-C Fast Charging Cable, Rugged, Coiled, Charge & Sync, 3A, USB 2.0, TPE Jacket and Aramid Fiber - USB C Charging Cord
−5 % with code: BAI5U
Brand: STARTECH Stock in vendor warehouse: In Stock
3ft (1m) USB C Charging Cable, Heavy Duty Coiled USB 2.0This 3.3ft (1m) coiled USB C cable can withstand the daily demands of charging and syncing you..
15,90 €
Ex Tax:13,14 €
Add to Cart
StarTech.com 1.6ft (50cm) USB-C Fast Charging Cable, Rugged, Coiled, Charge & Sync, 3A, USB 2.0, TPE Jacket and Aramid Fiber - USB C Charging Cord
−5 % with code: BAI5U
Brand: STARTECH Stock in vendor warehouse: In Stock
20in/50cm USB C Charging Cable, Heavy Duty Coiled USB 2.0This 20in (50cm) coiled USB C cable can withstand the daily demands of charging and syncing y..
13,90 €
Ex Tax:11,49 €
Add to Cart
StarTech.com USB-C to USB 3.0 Data Transfer Cable for Mac and Windows, 2m (6ft)
−5 % with code: BAI5U
Brand: STARTECH Stock in vendor warehouse: In Stock
Quickly transfer your Windows® or Mac files to your USB-C enabled laptop or desktop computerTransfer files from your old computer to your new USB-C en..
37,90 €
Ex Tax:31,32 €
Add to Cart
StarTech.com 3ft (1m) USB-A to USB-C Charging Cable, Right-Angled, Charge & Sync, 3A, USB 2.0 - USB Charging Cord
−5 % with code: BAI5U
Brand: STARTECH Stock in vendor warehouse: In Stock
Connect and charge USB Type-C devices, including iPhone 15 and up, with this USB-C to USB-A CableThis right-angle USB to USB-C™ cable is great for cha..
16,90 €
Ex Tax:13,97 €
Add to Cart
StarTech.com 3ft (1m) USB-A to USB-C Charging Cable, USB 5Gbps, Charge & Sync, 3A, USB 3.0 - USB Charging Cord
−5 % with code: BAI5U
Brand: STARTECH Stock in vendor warehouse: In Stock
Connect USB Type-C devices, such as external hard disks or mobile devices, including iPhone 15, with this USB-C to USB-A CableThis USB to USB-C™ cable..
14,90 €
Ex Tax:12,31 €
Add to Cart
USB CABLE TYPE C TO C - M/M 1.8M HIGH-SPEED UL BL
−5 % with code: BAI5U
Brand: DIGITUS Stock in vendor warehouse: In Stock
9,90 €
Ex Tax:8,18 €
Add to Cart
USB Type-C Ladekabel 15 V fr Elektrorasierer kompatibel mit Philips OneBlade Pro 360 HQ7 HQ8 HQ9 Serie - Rasierer Ladegert Ersatzkabel 1 m
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91752. Kabellänge: 1 m, Anschluss 1: USB C, Anschluss 2: 2-polig. Eingangsspannung: 15 V, Eingangsstrom: 0.36 A..
14,90 €
Ex Tax:12,31 €
Add to Cart
USB Type-C Ladekabel 2,3 V fr Elektrorasierer kompatibel mit Braun MGK3335, MGK3010, MGK3020 Serie - Rasierer Ladegert Ersatzkabel 1,5 m
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91794. Kabellänge: 1,5 m, Anschluss 1: USB C, Anschluss 2: Gleichstrom. Eingangsspannung: 2.3 V, Eingangsstrom: 0.075 A..
14,90 €
Ex Tax:12,31 €
Add to Cart
USB Type-C Ladekabel 4,8 V fr Elektrorasierer kompatibel mit Panasonic ES-LV97, ES-LA63, RE7-51, RE7-59 Serie - Rasierer Ladegert Ersatzkabe
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91795. Kabellänge: 1,5 m, Anschluss 1: USB C, Anschluss 2: 2-polig. Eingangsspannung: 4.8 V, Eingangsstrom: 1.25 A..
14,90 €
Ex Tax:12,31 €
Add to Cart
USB Type-C Ladekabel 5 V fr Elektrorasierer kompatibel mit Hatteker RFC-588, RFC-598, RFC-690, RFC-692, RFC-696, RSCX-7568, RSCX-9598 Serie -
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91798. Kabellänge: 1,2 m, Anschluss 1: USB C, Anschluss 2: 2-polig. Eingangsspannung: 5 V, Eingangsstrom: 1 A..
14,90 €
Ex Tax:12,31 €
Add to Cart
USB Type-C Stecker zu DC 5,5 x 2,1 mm Kabel kompatibel mit Starlink Mini, 2 m grau
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91820. Kabellänge: 2 m, Anschluss 1: USB C, Anschluss 2: DC 5.5mm. Eingangsspannung: 20 V, Eingangsstrom: 5 A..
14,90 €
Ex Tax:12,31 €
Add to Cart
USB Type-C Stecker zu DC 5,5 x 2,1 mm Kabel kompatibel mit Starlink Mini, 3 m grau
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91821. Kabellänge: 3 m, Anschluss 1: USB C, Anschluss 2: DC 5.5mm. Eingangsspannung: 20 V, Eingangsstrom: 5 A..
15,90 €
Ex Tax:13,14 €
Add to Cart
USB Type-C Stecker zu DC 5,5 x 2,1 mm Kabel kompatibel mit Starlink Mini, 5 m grau
−5 % with code: BAI5U
Brand: DELOCK Stock in vendor warehouse: In Stock
DeLOCK 91822. Kabellänge: 5 m, Anschluss 1: USB C, Anschluss 2: DC 5.5mm. Eingangsspannung: 20 V, Eingangsstrom: 5 A..
18,90 €
Ex Tax:15,62 €
Add to Cart
USB-A TO USB-C PVC WHITE 1M - TWIN PACK
−5 % with code: BAI5U
Brand: BELKIN Stock in vendor warehouse: In Stock
19,90 €
Ex Tax:16,45 €
Add to Cart
LogiLink PA0357 power adapter/inverter Indoor 70 W White
−5 % with code: BAI5U
Brand: LOGILINK Stock in vendor warehouse: In Stock
Product information "Universal travel power supply, 70 W (PD), 4x connections + cable, fireproof, white" from LogiLinkOne adapter for over 200 countri..
43,90 €
Ex Tax:36,28 €
Add to Cart
j5create JUCX25L30 USB-C® 100W Sync & Charge Cable (3 m / 9.8 ft.)
−5 % with code: BAI5U
Brand: J5CREATE Stock in vendor warehouse: In Stock
The USB-C® 100W Sync & Charging Cable is a high-speed cable that is great for charging USB-C® devices. It features a reversible USB-C® connector on ea..
26,90 €
Ex Tax:22,23 €
Add to Cart
j5create JUCX25L18 USB-C® 100W Sync & Charge Cable (1.8 m / 5.9 ft.)
−5 % with code: BAI5U
Brand: J5CREATE Stock in vendor warehouse: In Stock
The USB-C® 100W Sync & Charging Cable is a high-speed cable that is great for charging USB-C® devices. It features a reversible USB-C® connector on ea..
21,90 €
Ex Tax:18,10 €
Add to Cart
Showing 1249 to 1272 of 2296 (96 Pages)
Product Filter